#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xbeedd6a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xc449f630, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xe4798d98, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xcba31543, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x3a159609, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x6095ca15, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x699073f7, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x3e4d70f2, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xe08d3b5b, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x2c0327ec, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x9edd5c98, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xa3e90972, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x7b4e18a5, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xa48f8772, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x2d93f0ff, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xa837de04, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x8d25b3f5, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x0480fd70, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xa9681b67, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x02b2a7ff, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x8553c0db, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x61bdc146, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xd17a10ac, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xaaea776c, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xdb01a726, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x2370e65c, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xf667a66e, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x19042728, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xf7103843, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x5ff591a1, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x20ef7983, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0xb50d5f59, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x215c7052, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xced757a8, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xb1986491, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xbf503db3, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xb540b521, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0x68b1d2c1, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xb2c47b61, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0x13dcf145, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x972ba781, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x3598ffc1, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xa00f81f8, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x14a42031, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xadb9fbef, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xac016214, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x8a323a98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x4f832b27, "perf_trace_run_bpf_submit" },
	{ 0x4d66eebf, "trace_event_buffer_reserve" },
	{ 0x43e9af1d, "trace_event_buffer_commit" },
	{ 0x74477c50, "__trace_trigger_soft_disabled" },
	{ 0x84084245, "trace_raw_output_prep" },
	{ 0x576c4ec0, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x6a48eb7c, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x9fe6f056, "put_device" },
	{ 0x72f0a941, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x40e254d4, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0xa45a9d0b, "get_device" },
	{ 0xe524ba6b, "device_find_child" },
	{ 0xfe14281a, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x76b1aed3, "_dev_printk" },
	{ 0xe2970398, "scsi_target_unblock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8ccc166c, "netlink_kernel_release" },
	{ 0xaf78cd94, "bus_unregister" },
	{ 0xcd57f27, "transport_class_unregister" },
	{ 0xdf2094e5, "class_unregister" },
	{ 0xd8152e71, "class_register" },
	{ 0x736d12ce, "transport_class_register" },
	{ 0x4a019c1, "bus_register" },
	{ 0x2357ef28, "init_net" },
	{ 0xdd00524c, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a0c2a3c, "scsi_host_get" },
	{ 0xb40b527a, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0x71fbf642, "scsi_init_limits" },
	{ 0x5b7012f2, "bsg_setup_queue" },
	{ 0xc9b02cf, "netlink_broadcast_filtered" },
	{ 0x7e49b173, "__alloc_skb" },
	{ 0x218918d6, "__nlmsg_put" },
	{ 0x2c3be3f3, "scsi_is_host_device" },
	{ 0x47bd39d, "bsg_remove_queue" },
	{ 0x346449b1, "scsi_host_put" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xc7191abc, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xeec62bce, "dev_set_name" },
	{ 0x26ace936, "device_register" },
	{ 0x79a35bb5, "sysfs_create_group" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x522ff0b6, "kmalloc_caches" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x1897281c, "attribute_container_register" },
	{ 0xfeb045ae, "sk_skb_reason_drop" },
	{ 0x33c10562, "scsi_host_lookup" },
	{ 0x6da06555, "skb_trim" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x1179e7e3, "transport_remove_device" },
	{ 0x60f0eaac, "transport_destroy_device" },
	{ 0x6bf78bb2, "device_del" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xedccb7e7, "device_add" },
	{ 0xcafedfc4, "transport_setup_device" },
	{ 0x3a493545, "transport_add_device" },
	{ 0xf9a482f9, "msleep" },
	{ 0x64bf5852, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa3cb1cbd, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x791263ab, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf4ed9e9d, "scsi_scan_target" },
	{ 0xd3b00a9b, "netlink_capable" },
	{ 0x26bf7180, "try_module_get" },
	{ 0xcfa3d39d, "module_put" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x7fe1f929, "skb_pull" },
	{ 0xf03a1951, "netlink_unicast" },
	{ 0x209d794b, "trace_event_reg" },
	{ 0xb69b1ea8, "trace_event_raw_init" },
	{ 0x8c1dc70b, "param_ops_int" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21EE16982EE0E8F5745FD55");
MODULE_INFO(rhelversion, "10.1");
